#include <unistd.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

#include <logf.h>
#include <dboxversion.h>
#include <libdboxversion.h>
#include <parseoptions.h>
#include <dboxpath.h>
#include "dboximap4.h"

class parseoptionst:public parseoptions_baset
 {
 public:
  virtual int doit();
  virtual void help();
  parseoptionst():parseoptions_baset("") { }
 };

int parseoptionst::doit()
 {
  getpeer();

  dboximap4t dboximap4;
  dboximap4.doimap4();

  return 0;
 }

void parseoptionst::help()
 {
  cerr <<
    "\n"
    "* * DKIMAP4 - Version " DBOXVERSIONNR " * *\n"
    "\n"
    "Usage:                       Purpose:\r\n"
    "\n"
    " dboximap4 [-?] [-h]          Print usage notes\r\n"
    "\r\n"
    "Additional options:\r\n"
    "\r\n";
 }

int main(int argc, char **argv)
 {
  if(init_libdbox(LIBDBOXVERSION, LIBDBOXVERSIONNR))
    return 1;

  parseoptionst parseoptions;

  return parseoptions.parseoptions(argc, argv);
 }
